#include "Text.h"

#include <iostream>
Text::Text(const std::string& text, const std::string& fontPath, int size, const Color4f& color): m_Text(text), m_FontPath(fontPath), m_Color(color) {
	m_Texture = new Texture(text, fontPath, size, color);
	m_IsCreatedOk = m_Texture->IsCreationOk();
	if(!m_IsCreatedOk) {
		std::cout << "Error creating text texture, Text: " << text << std::endl;
	}
}
Text::~Text() {
	if(m_IsCreatedOk && m_Texture->IsCreationOk()) {
	}
}
void Text::Draw(const Vector2f& pos) const {
	m_Texture->Draw(pos);
}
